Groups

Initiate or Accept Group Transfer

POST
/groups/{groupId}/transfer

To initiate, must be logged in as the current owner and specify the transferTargetId in the body. To accept, must be logged in as the user targetted by a pending transfer, no body is required.

Authorization

authCookie
auth<token>

Auth Token via Cookie

In: cookie

Path Parameters

groupId*string

Must be a valid group ID.

Request Body

application/json

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://api.vrchat.cloud/api/1/groups/grp_00000000-0000-0000-0000-000000000000/transfer" \  -H "Content-Type: application/json" \  -d '{}'

{
  "success": {
    "message": "Group transfer completed.",
    "status_code": 200
  }
}

{
  "error": {
    "message": "\"Missing Credentials\"",
    "status_code": 401
  }
}
{
  "error": {
    "message": "Cannot transfer this group.",
    "status_code": 403
  }
}
{
  "error": {
    "message": "Can't find groupǃ",
    "status_code": 404
  }
}